camel-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acosent...@apache.org
Subject [camel] branch master updated: Final touch to the camel-gRPC Karaf feature
Date Mon, 01 Jan 2018 17:16:45 GMT
This is an automated email from the ASF dual-hosted git repository.

acosentino pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/camel.git


The following commit(s) were added to refs/heads/master by this push:
     new bad9ed4  Final touch to the camel-gRPC Karaf feature
bad9ed4 is described below

commit bad9ed4bb2ce1e258039d96ac80c71a746b0520d
Author: Andrea Cosentino <ancosen@gmail.com>
AuthorDate: Mon Jan 1 17:58:30 2018 +0100

    Final touch to the camel-gRPC Karaf feature
---
 parent/pom.xml                                       |  5 ++++-
 .../karaf/features/src/main/resources/features.xml   | 20 +++++++-------------
 2 files changed, 11 insertions(+), 14 deletions(-)

diff --git a/parent/pom.xml b/parent/pom.xml
index 94453a6..5b4d273 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -273,7 +273,8 @@
     <grpc-google-auth-library-version>0.7.1</grpc-google-auth-library-version>
     <grpc-java-jwt-version>3.2.0</grpc-java-jwt-version>
     <grpc-netty-tcnative-boringssl-static-version>2.0.7.Final</grpc-netty-tcnative-boringssl-static-version>
-    <grpc-bundle-version>1.6.1_1</grpc-bundle-version>
+    <grpc-bundle-version>1.8.0_1</grpc-bundle-version>
+    <grpc-errorprone-version>2.1.3</grpc-errorprone-version>
     <gson-version>2.8.2</gson-version>
     <guice-version>4.0</guice-version>
     <guice3-version>3.0</guice3-version>
@@ -532,6 +533,7 @@
     <olingo4-version>4.4.0</olingo4-version>
     <ognl-version>3.1.12</ognl-version>
     <ognl-bundle-version>3.1.12_1</ognl-bundle-version>
+    <opencensus-api-version>0.8.0</opencensus-api-version>
     <oncrpc-version>1.1.3</oncrpc-version>
     <openejb-version>4.7.5</openejb-version>
     <openhft-affinity-version>3.1.2</openhft-affinity-version>
@@ -560,6 +562,7 @@
     <pdfbox-version>2.0.8</pdfbox-version>
     <pgjdbc-ng-driver-version>0.7.1</pgjdbc-ng-driver-version>
     <protobuf-version>3.4.0</protobuf-version>
+    <protobuf-javanano-version>3.1.0</protobuf-javanano-version>
     <protobuf-maven-plugin-version>0.5.0</protobuf-maven-plugin-version>
     <protonpack-version>1.8</protonpack-version>
     <pubnub-version>4.17.0</pubnub-version>
diff --git a/platforms/karaf/features/src/main/resources/features.xml b/platforms/karaf/features/src/main/resources/features.xml
index f3328aa..32a1a4d 100644
--- a/platforms/karaf/features/src/main/resources/features.xml
+++ b/platforms/karaf/features/src/main/resources/features.xml
@@ -822,15 +822,9 @@
     <bundle>mvn:org.apache.camel/camel-groovy/${project.version}</bundle>
   </feature>
   <feature name='camel-grpc' version='${project.version}' resolver='(obr)' start-level='50'>
-    <details>gRPC bundle version 1.6.1 currently doesn't work well so we are actually
use the wrapped gRPC jars</details>
     <feature version='${project.version}'>camel-core</feature>
-    <!--<bundle dependency='true'>wrap:mvn:io.grpc/grpc-core/${grpc-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:io.grpc/grpc-auth/${grpc-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:io.grpc/grpc-netty/${grpc-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:io.grpc/grpc-protobuf/${grpc-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:io.grpc/grpc-stub/${grpc-version}</bundle>-->
     <!-- gRPC netty dependencies -->
-    <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.grpc/1.8.0_1-SNAPSHOT</bundle>
+    <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.grpc/${grpc-bundle-version}</bundle>
     <bundle dependency='true'>mvn:io.netty/netty-handler/${netty-version}</bundle>
     <bundle dependency='true'>mvn:io.netty/netty-buffer/${netty-version}</bundle>
     <bundle dependency='true'>mvn:io.netty/netty-common/${netty-version}</bundle>
@@ -843,19 +837,19 @@
     <bundle dependency='true'>mvn:io.netty/netty-transport/${netty-version}</bundle>
     <bundle dependency='true'>mvn:io.netty/netty-tcnative-boringssl-static/${grpc-netty-tcnative-boringssl-static-version}</bundle>
     <bundle dependency='true'>mvn:com.google.guava/guava/${google-guava-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:com.google.errorprone/error_prone_annotations/2.1.3</bundle>
+    <bundle dependency='true'>wrap:mvn:com.google.errorprone/error_prone_annotations/${grpc-errorprone-version}</bundle>
     <!-- Third party dependencies -->
     <bundle dependency='true'>mvn:org.javassist/javassist/${javassist-version}</bundle>
     <bundle dependency='true'>wrap:mvn:com.auth0/java-jwt/${grpc-java-jwt-version}</bundle>
     <bundle dependency='true'>wrap:mvn:com.google.auth/google-auth-library-oauth2-http/${grpc-google-auth-library-version}</bundle>
     <bundle dependency='true'>wrap:mvn:com.google.auth/google-auth-library-credentials/${grpc-google-auth-library-version}</bundle>
-    <bundle dependency='true'>mvn:com.google.protobuf/protobuf-java/3.4.0</bundle>
-    <bundle dependency='true'>mvn:com.google.protobuf.nano/protobuf-javanano/3.1.0</bundle>
-    <bundle dependency='true'>mvn:com.google.protobuf/protobuf-java-util/3.4.0</bundle>
+    <bundle dependency='true'>mvn:com.google.protobuf/protobuf-java/${protobuf-version}</bundle>
+    <bundle dependency='true'>mvn:com.google.protobuf.nano/protobuf-javanano/${protobuf-javanano-version}</bundle>
+    <bundle dependency='true'>mvn:com.google.protobuf/protobuf-java-util/${protobuf-version}</bundle>
     <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.okhttp/${squareup-okhttp-bundle-version}</bundle>
     <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.okio/${squareup-okio-bundle-version}</bundle>
-    <bundle dependency='true'>wrap:mvn:io.opencensus/opencensus-contrib-grpc-metrics/0.8.0</bundle>
-    <bundle dependency='true'>wrap:mvn:io.opencensus/opencensus-api/0.8.0</bundle>
+    <bundle dependency='true'>wrap:mvn:io.opencensus/opencensus-contrib-grpc-metrics/${opencensus-api-version}</bundle>
+    <bundle dependency='true'>wrap:mvn:io.opencensus/opencensus-api/${opencensus-api-version}</bundle>
     <bundle dependency='true'>mvn:com.google.code.gson/gson/${gson-version}</bundle>
     <bundle>mvn:org.apache.camel/camel-grpc/${project.version}</bundle>
   </feature>

-- 
To stop receiving notification emails like this one, please contact
['"commits@camel.apache.org" <commits@camel.apache.org>'].

Mime
View raw message